package com.chinaweal.aiccs.aiccs.abnormal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaweal.aiccs.aiccs.abnormal.entity.Toincludeabn;
import com.chinaweal.aiccs.aiccs.abnormal.entity.dto.ToIncludeAbnDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


public interface ToincludeabnMapper extends BaseMapper<Toincludeabn> {
    List<Toincludeabn> selectToincludeabnList();

    Toincludeabn selectReportYears(String pripid);

    long listByOrgCount(@Param("params") Map<String, Object> params);
    List<ToIncludeAbnDto> listByOrg(@Param("params") Map<String, Object> params, @Param("curPage") int curPage, @Param("pageSize") int pageSize);

    IPage<ToIncludeAbnDto> listByEb(Page<Object> objectPage, @Param("params") Map<String, Object> params);
}
